###########################################################################
#
#   SuPy - Mixin module for Tool class
#
###########################################################################

#
#   This module is mixed in with the Ruby wrapper class
#   around the Python Tool class. Calling method_missing
#   causes calls to these methods to be forwarded to the
#   Python object.
#
#   This is necessary because, on Windows, something is
#   testing for the presence of particular methods and
#   not finding them if a generic wrapper object is used.
#

module PyTool

	def activate
		method_missing(:activate)
	end

	def deactivate(view)	    
		method_missing(:deactivate, view)
	end

	def draw(view)
		method_missing(:draw, view)
	end

	def getExtents		     
		method_missing(:getExtents)
	end
	
	def getInstructorContentDirectory
		method_missing(:getInstructorContentDirectory)
	end

	def getMenu(menu)
		method_missing(:getMenu, menu)
	end

	def onCancel(*args)		  
		method_missing(:onCancel, *args)
	end

	def onKeyDown(*args)
		method_missing(:onKeyDown, *args)
	end

	def onKeyUp(*args)
		method_missing(:onKeyUp, *args)
	end

	def onLButtonDoubleClick(*args)
		method_missing(:onLButtonDoubleClick, *args)

	end

	def onLButtonDown(*args)
		method_missing(:onLButtonDown, *args)
	end

	def onLButtonUp(*args)
		method_missing(:onLButtonUp, *args)
	end

	def onMButtonDoubleClick(*args)
		method_missing(:onMButtonDoubleClick, *args)
	end

	def onMButtonDown(*args)
		method_missing(:onMButtonDown, *args)
	end

	def onMButtonUp(*args)
		method_missing(:onMButtonUp, *args)
	end

	def onMouseEnter(view)
		method_missing(:onMouseEnter, view)
	end

	def onMouseLeave(view)
		method_missing(:onMouseLeave, view)
	end

	def onMouseMove(*args)
		method_missing(:onMouseMove, *args)  
	end

	def onRButtonDoubleClick(*args)
		method_missing(:onRButtonDoubleClick, *args)
	end

	def onRButtonDown(*args)
		method_missing(:onRButtonDown, *args)
	end

	def onRButtonUp(*args)
		method_missing(:onRButtonUp, *args)
	end
	
	def onReturn(view)
		method_missing(:onReturn, view)
	end
	
	def onSetCursor()
		method_missing(:onSetCursor)
	end
					       
	def onUserText(*args)
		method_missing(:onUserText, *args)
	end

	def resume(view)
		method_missing(:resume, view)
	end

	def suspend(view)
		method_missing(:suspend, view)
	end

end
